TELAKKA(1)

NAME
telakka - TeLa Kernel Konstruction Accessory

SYNOPSIS
telakka [ -v | --verbose ] [ -o file | --output file ]
        [ CFLAGS ] [ files ]

telakka [ -v | --verbose ] [ -o file | --output file ]
        [ -c | --compile-only ] [ CFLAGS ] [ files ]

telakka [ -v | --verbose ] [ -o file | --output file ]
        [ --shared ] [ CFLAGS ] [ files ]

telakka -V | --version

telakka -h | --help

DESCRIPTION
telakka compiles files or links them with appropriate libraries to produce a new tela executable (form 1), object files (form 2), or a dynamic library (form 3).

CFLAGS are any additional flags for the C++ compiler.

files are ".ct", ".o", or ".a" files to be compiled or linked.

.ct -> tela    (form 1)
    If neither -c, nor --shared is given, telakka builds a new Tela-kernel, extended by the functions in files.

.ct -> .o      (form 2)
    To compile one or more files to object files, use -c, or --compile-only. If no output filename is given with -o file or --output file, each of the specified files are compiled to object files. If an output filename is specified, only one ct-file can be compiled at a time.

.ct -> .so     (form 3)
    To compile one or more files to a shared object, use --shared. (The operating system must support dynamic objects for this option to work.) The resulting shared object file is linked with tela at runtime, see link(). telakka derives the name of the shared object from the name of the first input file unless an explicit output filename is given with -o file or --output file.

telakka displays its own version number and the version of the associated tela binary when called with the -V or --version options (form 4).

Use -h or --help to show a brief summary of telakka's command line options (form 5).

OPTIONS
telakka understands the following options:

-h, --help
    Display help message and exit.

-c, --compile-only
    Compile only, do not link (see gcc(1)). This option is mutually exclusive with --shared.

-n, --nostandard
    This option has no effect and is only included for backward compatability.

-o file, --output file
    Specify the name of output file. The default value is "tela", or in compile-only mode the base-name of the ct-file with ".o" appended, or in shared mode the base-name of the first ct-file with ".so" appended.

--shared
    Compile and link given files to produce a shared object. The output filename is the first ct-file's basename with ".so" appended.

-v, --verbose
    Switch on verbose mode.

-V, --version
    Print version of telakka and tela, then exit.

SEE ALSO

    tela        Tela interpreter
    ctpp        Tela preprocessor
    plotmtv     Standard associated graphics package
    sppc        Alternative graphics package
    m2t         Matlab to Tela translator

HISTORY
telakka by Pekka Janhunen; man page by Ch. L. Spiel, 2000-11-7.